Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIInplaceInput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractInplaceInput
                          org.richfaces.component.UIInplaceInput

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.InplaceComponent

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIInplaceInput

extends AbstractInplaceInput
implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.component.InplaceComponent

The <rich:inplaceInput> component allows information to be entered in-line in blocks of text, improving readability of the text. Multiple input regions can be navigated with keyboard navigation. The component has three functional states: the view state, where the component displays its initial setting, such as "click to edit"; the edit state, where the user can input text; and the "changed" state, where the new value for the component has been confirmed but can be edited again if required.

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIInplaceInput.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIInplaceInput()`

Method Summary
`String` | `getActiveClass()` Space-separated list of CSS style class(es) to be applied when this element is active.
`String` | `getChangedClass()` Space-separated list of CSS style class(es) to be applied when the value of this element is changed.
`String` | `getDefaultEventName()`
`String` | `getDefaultLabel()` Used to set the display text when value is undefined
`String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`String` | `getEditEvent()` Used to specify the event that switches the component to the edit state
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getInputWidth()` The width of the input element
`String` | `getOnblur()`
`String` | `getOnchange()` Javascript code executed when this element loses focus and its value has been modified since gaining focus.
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnfocus()`
`String` | `getOninputclick()` The client-side script method to be called when
`String` | `getOninputdblclick()` The client-side script method to be called when
`String` | `getOninputkeydown()` The client-side script method to be called when
`String` | `getOninputkeypress()` The client-side script method to be called when
`String` | `getOninputkeyup()` The client-side script method to be called when
`String` | `getOninputmousedown()` The client-side script method to be called when
`String` | `getOninputmousemove()` The client-side script method to be called when
`String` | `getOninputmouseout()` The client-side script method to be called when
`String` | `getOninputmouseover()` The client-side script method to be called when
`String` | `getOninputmouseup()` The client-side script method to be called when
`String` | `getOninputselect()` The client-side script method to be called when
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`org.richfaces.component.InplaceState` | `getState()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabindex()`
`String` | `getTitle()`
`boolean` | `isDisabled()` If "true", this component is disabled
`boolean` | `isSaveOnBlur()` If "true", apply the changes when the focus is lost
`boolean` | `isShowControls()` If "true" is set, buttons for confirming or canceling are added to the component
`void` | `setActiveClass(String activeClass)`
`void` | `setChangedClass(String changedClass)`
`void` | `setDefaultLabel(String defaultLabel)`
`void` | `setDisabled(boolean disabled)`
`void` | `setDisabledClass(String disabledClass)`
`void` | `setEditEvent(String editEvent)`
`void` | `setInputWidth(String inputWidth)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOninputclick(String oninputclick)`
`void` | `setOninputdblclick(String oninputdblclick)`
`void` | `setOninputkeydown(String oninputkeydown)`
`void` | `setOninputkeypress(String oninputkeypress)`
`void` | `setOninputkeyup(String oninputkeyup)`
`void` | `setOninputmousedown(String oninputmousedown)`
`void` | `setOninputmousemove(String oninputmousemove)`
`void` | `setOninputmouseout(String oninputmouseout)`
`void` | `setOninputmouseover(String oninputmouseover)`
`void` | `setOninputmouseup(String oninputmouseup)`
`void` | `setOninputselect(String oninputselect)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setSaveOnBlur(boolean saveOnBlur)`
`void` | `setShowControls(boolean showControls)`
`void` | `setState(org.richfaces.component.InplaceState state)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTitle(String title)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIInplaceInput

    public UIInplaceInput()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getActiveClass

    public String getActiveClass()

  Description copied from class: `AbstractInplaceInput`
  Space-separated list of CSS style class(es) to be applied when this element is active. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getActiveClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getActiveClass` in class `AbstractInplaceInput`

### setActiveClass

    public void setActiveClass(String activeClass)

### getChangedClass

    public String getChangedClass()

  Description copied from class: `AbstractInplaceInput`
  Space-separated list of CSS style class(es) to be applied when the value of this element is changed. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getChangedClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getChangedClass` in class `AbstractInplaceInput`

### setChangedClass

    public void setChangedClass(String changedClass)

### getDefaultLabel

    public String getDefaultLabel()

  Description copied from class: `AbstractInplaceInput`
  Used to set the display text when value is undefined

  Specified by:
    `getDefaultLabel` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDefaultLabel` in class `AbstractInplaceInput`

### setDefaultLabel

    public void setDefaultLabel(String defaultLabel)

  Specified by:
    `setDefaultLabel` in interface `org.richfaces.component.InplaceComponent`

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractInplaceInput`
  If "true", this component is disabled

  Specified by:
    `isDisabled` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isDisabled` in class `AbstractInplaceInput`

### setDisabled

    public void setDisabled(boolean disabled)

### getDisabledClass

    public String getDisabledClass()

  Description copied from class: `AbstractInplaceInput`
  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getDisabledClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDisabledClass` in class `AbstractInplaceInput`

### setDisabledClass

    public void setDisabledClass(String disabledClass)

### getEditEvent

    public String getEditEvent()

  Description copied from class: `AbstractInplaceInput`

  Used to specify the event that switches the component to the edit state

  Default is "click"

  Specified by:
    `getEditEvent` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getEditEvent` in class `AbstractInplaceInput`

### setEditEvent

    public void setEditEvent(String editEvent)

### getInputWidth

    public String getInputWidth()

  Description copied from class: `AbstractInplaceInput`
  The width of the input element

  Specified by:
    `getInputWidth` in class `AbstractInplaceInput`

### setInputWidth

    public void setInputWidth(String inputWidth)

### getOnblur

    public String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractInplaceInput`

### setOnblur

    public void setOnblur(String onblur)

### getOnchange

    public String getOnchange()

  Description copied from class: `AbstractInplaceInput`
  Javascript code executed when this element loses focus and its value has been modified since gaining focus.

  Specified by:
    `getOnchange` in class `AbstractInplaceInput`

### setOnchange

    public void setOnchange(String onchange)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractInplaceInput`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractInplaceInput`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnfocus

    public String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractInplaceInput`

### setOnfocus

    public void setOnfocus(String onfocus)

### getOninputclick

    public String getOninputclick()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputclick` in class `AbstractInplaceInput`

### setOninputclick

    public void setOninputclick(String oninputclick)

### getOninputdblclick

    public String getOninputdblclick()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputdblclick` in class `AbstractInplaceInput`

### setOninputdblclick

    public void setOninputdblclick(String oninputdblclick)

### getOninputkeydown

    public String getOninputkeydown()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputkeydown` in class `AbstractInplaceInput`

### setOninputkeydown

    public void setOninputkeydown(String oninputkeydown)

### getOninputkeypress

    public String getOninputkeypress()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputkeypress` in class `AbstractInplaceInput`

### setOninputkeypress

    public void setOninputkeypress(String oninputkeypress)

### getOninputkeyup

    public String getOninputkeyup()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputkeyup` in class `AbstractInplaceInput`

### setOninputkeyup

    public void setOninputkeyup(String oninputkeyup)

### getOninputmousedown

    public String getOninputmousedown()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputmousedown` in class `AbstractInplaceInput`

### setOninputmousedown

    public void setOninputmousedown(String oninputmousedown)

### getOninputmousemove

    public String getOninputmousemove()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputmousemove` in class `AbstractInplaceInput`

### setOninputmousemove

    public void setOninputmousemove(String oninputmousemove)

### getOninputmouseout

    public String getOninputmouseout()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputmouseout` in class `AbstractInplaceInput`

### setOninputmouseout

    public void setOninputmouseout(String oninputmouseout)

### getOninputmouseover

    public String getOninputmouseover()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputmouseover` in class `AbstractInplaceInput`

### setOninputmouseover

    public void setOninputmouseover(String oninputmouseover)

### getOninputmouseup

    public String getOninputmouseup()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputmouseup` in class `AbstractInplaceInput`

### setOninputmouseup

    public void setOninputmouseup(String oninputmouseup)

### getOninputselect

    public String getOninputselect()

  Description copied from class: `AbstractInplaceInput`
  The client-side script method to be called when

  Specified by:
    `getOninputselect` in class `AbstractInplaceInput`

### setOninputselect

    public void setOninputselect(String oninputselect)

### getOnkeydown

    public String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractInplaceInput`

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractInplaceInput`

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractInplaceInput`

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractInplaceInput`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractInplaceInput`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractInplaceInput`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractInplaceInput`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractInplaceInput`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### isSaveOnBlur

    public boolean isSaveOnBlur()

  Description copied from class: `AbstractInplaceInput`
  If "true", apply the changes when the focus is lost

  Specified by:
    `isSaveOnBlur` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isSaveOnBlur` in class `AbstractInplaceInput`

### setSaveOnBlur

    public void setSaveOnBlur(boolean saveOnBlur)

### isShowControls

    public boolean isShowControls()

  Description copied from class: `AbstractInplaceInput`
  If "true" is set, buttons for confirming or canceling are added to the component

  Specified by:
    `isShowControls` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isShowControls` in class `AbstractInplaceInput`

### setShowControls

    public void setShowControls(boolean showControls)

### getState

    public org.richfaces.component.InplaceState getState()

  Specified by:
    `getState` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getState` in class `AbstractInplaceInput`

### setState

    public void setState(org.richfaces.component.InplaceState state)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTabindex

    public String getTabindex()

  Specified by:
    `getTabindex` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getTabindex` in class `AbstractInplaceInput`

### setTabindex

    public void setTabindex(String tabindex)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.